#include <iostream>

using namespace std;

class Complex {
  private:
    double x, y;

  public:
    Complex(double Re = 0, double Im = 0) : x(Re), y(Im) {}

    double real() const { return x; }
    double imag() const { return y; }
};

int main() {
  Complex z1{1.0, 0.0};
  const Complex z2{2.0, 3.0};

  cout << "Re z1 = " << z1.real() << "  Im z1 = " << z1.imag() << endl;
  cout << "Re z2 = " << z2.real() << "  Im z2 = " << z2.imag() << endl;

  return 0;
}
